using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FingersDance.Factory
{
    public class ColorFactory
    {
        static Dictionary<string, string> _Colors;

        public Dictionary<string, string> Colors
        {
            get { return _Colors; }
        }

        public ColorFactory()
        {
            if (_Colors == null)
            {
                
                _Colors = new Dictionary<string, string>();
                _Colors.Add("Default", "DefaultColor_xaml");
                _Colors.Add("Color_1", "Color_1_#FFFF00_xaml");
                _Colors.Add("Color_2", "Color_2_#FFC800_xaml");
                _Colors.Add("Color_3", "Color_3_#FF7D00__xaml");
                _Colors.Add("Color_4", "Color_4_#FF0000_xaml");
                _Colors.Add("Color_5", "Color_5_#FF0064_xaml");
                _Colors.Add("Color_6", "Color_6_#C80FA0_xaml");
                _Colors.Add("Color_7", "Color_7_#5A0FC8_xaml");
                _Colors.Add("Color_8", "Color_8_#230FD2_xaml");
                _Colors.Add("Color_9", "Color_9_#0096FF__xaml");
                _Colors.Add("Color_10", "Color_10_#009664_xaml");
                _Colors.Add("Color_11", "Color_11_#006432_xaml");
                _Colors.Add("Color_12", "Color_12_#00C800_xaml");
            }
        }
    }
}
